Name:		thebridge
Version:	1.06
Release:	6%{?dist}
Summary:	ILink/EchoLink compatible conference bridge

Group:		Applications/Internet
License:	GPLv2+
URL:		http://cqinet.sourceforge.net/thebridge.shtml
Source0:	http://downloads.sourceforge.net/cqinet/%{name}-%{version}.tgz
Source1:	thebridge.init
Patch0:		thebridge-1.06-zlib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	zlib-devel
Requires (preun): chkconfig
Requires (preun): initscripts
Requires (post): chkconfig
Requires (postun): initscripts

%description
Thebridge is an EchoLink compatible conference bridge that runs under
Linux.

EchoLink allows licensed Amateur Radio stations to communicate with one
another over the Internet, using voice-over-IP (VoIP) technology. 


%prep
%setup -q
%patch0 -p1 -b .zlib


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
#fix wrong permissions on packaged files
chmod -x ChangeLog README SCRIPTING.txt src/*
mv -f %{buildroot}%{_sysconfdir}/tbd.conf.sample %{buildroot}%{_sysconfdir}/tbd.conf
mkdir -p %{buildroot}%{_localstatedir}/lib/tbd
sed -i -e 's!WorkingDir = /usr/home/tbd!WorkingDir = %{_localstatedir}/lib/tbd!g' %{buildroot}%{_sysconfdir}/tbd.conf
#fix wrong symlink
(cd %{buildroot}%{_bindir} && rm -f tbdchat && ln -s tbdcmd tbdchat)

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/thebridge


%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add thebridge

%preun
if [ $1 = 0 ]; then
 /sbin/service thebridge stop > /dev/null 2>&1
 /sbin/chkconfig --del thebridge
fi

%postun
if [ "$1" -ge "1" ] ; then
 /sbin/service thebridge condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README SCRIPTING.txt
%{_bindir}/tbdchat
%{_bindir}/tbdcmd
%{_libexecdir}/tbd
%{_sysconfdir}/rc.d/init.d/thebridge
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/tbd.conf
%{_localstatedir}/lib/tbd/



%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Lucian Langa <cooly@gnome.eu.org> - 1.06-3
- fix source0 and requirements

* Fri Nov 21 2008 Lucian Langa <cooly@gnome.eu.org> - 1.06-2
- description fix
- new upstream

* Wed Sep 10 2008 Lucian Langa <cooly@gnome.eu.org> - 0.96-1
- initial specfile


